package com.example.kamizelka;

import android.bluetooth.BluetoothGatt;
import android.bluetooth.BluetoothGattCharacteristic;

public class GattHolder {
	BluetoothGatt gatt;
	BluetoothGattCharacteristic dataCharacteristic;
	BluetoothGattCharacteristic readyCharacteristic;
	BluetoothGattCharacteristic playerCharacteristic;
	GattHolderState state = GattHolderState.notReady;
	int reconnectCount = 0;
	public enum GattHolderState{
		notReady,
		connected,
		written,
		ready,
		disable
	}
	public GattHolder(BluetoothGatt gatt, BluetoothGattCharacteristic data, BluetoothGattCharacteristic state, BluetoothGattCharacteristic player){
		this.gatt = gatt;
		this.dataCharacteristic = data;
		this.readyCharacteristic = state;
		this.playerCharacteristic = player;
	}
	public GattHolderState getState(){
		return this.state;
	}
	public void setState(GattHolderState state){
		this.state = state;
	}
}