#pragma once
#include <vector>
#include <map>
#include <iomanip>
#include <sstream>
#include <iostream>
#include <sstream>
#include <wx/wx.h>
#include <wx/richtooltip.h>
#include "DeviceHolder.h"
#include "main.h"

class DeviceListDialog : public wxDialog{
	std::vector<std::pair<wxCheckBox*, uint64_t>> boxes;
	std::vector<uint64_t>* checkedDevices;
	std::map<wxWindowID, std::pair<wxCheckBox*, std::string>>* tips;
public:
	DeviceListDialog(std::vector<DeviceHolder>* devices, std::vector<uint64_t>* checkedDevices);
	~DeviceListDialog();
	std::string AddrToString(uint64_t addr);
	void onQuit(wxCommandEvent& WXUNUSED(event));
	void onOk(wxCommandEvent& WXUNUSED(event));
	void onMove(wxEvent& event);
	void onLeaveCheckbox(wxEvent& event);
	void onLeave(wxEvent& event);
private:
	bool isTipExist;
};

