#include "Keyboard.h"
#include "MainWindow.h"

Keyboard::Keyboard(wxPoint position) : wxFrame(&MainWindow::getInstance(), wxID_ANY, wxT("Klawiatura"), position, wxSize(250, 350)) {
	std::cout << "8" << std::endl;
	wxPanel* panel = new wxPanel(this, wxID_ANY);
//	panel->SetBackgroundColour(wxColor(wxT("#4f5049")));
	std::cout << "7" << std::endl;
	int buttonSize = 77;
	wxBitmap bitma = wxBitmap(buttonSize, buttonSize, wxBitmap(0, 0, -1).GetDepth());
	wxBitmap bitmaS = wxBitmap(buttonSize, buttonSize, wxBitmap(0, 0, -1).GetDepth());
	wxAlphaPixelData data = wxAlphaPixelData(bitma);
	wxAlphaPixelData dataS = wxAlphaPixelData(bitmaS);
	wxAlphaPixelData::Iterator pp(data);
	wxAlphaPixelData::Iterator ppS(dataS);
	for (int i = 0; i < buttonSize; ++i) {
		wxAlphaPixelData::Iterator rowStart = pp;
		wxAlphaPixelData::Iterator rowStartS = ppS;
		for (int j = 0; j < buttonSize; ++j) {
			pp.Alpha() = 255;
			ppS.Alpha() = 255;
			if (( ((i - buttonSize/2) * (i - buttonSize/2)) + ((j - buttonSize/2) * (j - buttonSize/2))) < 30 * 30) {
				pp.Red() = 0x4B;
				pp.Green() = 0x00;
				pp.Blue() = 0x82;
				ppS.Red() = 0x4B;// 245;
				ppS.Green() = 0x00;// 240;
				ppS.Blue() = 0x82;// 14;
			}
			else {
				pp.Red() = 0x4F;
				pp.Green() = 0x50;
				pp.Blue() = 0x49;
				ppS.Red() = 0x4F;
				ppS.Green() = 0x50;
				ppS.Blue() = 0x49;
			}
			if ((((((i - buttonSize / 2) * (i - buttonSize / 2)) + ((j - buttonSize / 2 + 10) * (j - buttonSize / 2 + 10))) > 30 * 30)
				&& ((((i - buttonSize / 2) * (i - buttonSize / 2)) + ((j - buttonSize / 2) * (j - buttonSize / 2))) < 30 * 30))
				|| (((((i - buttonSize / 2) * (i - buttonSize / 2)) + ((j - buttonSize / 2) * (j - buttonSize / 2))) > 29 * 29)
				&& ((((i - buttonSize / 2) * (i - buttonSize / 2)) + ((j - buttonSize / 2) * (j - buttonSize / 2))) < 31 * 31))){
				ppS.Red() = 30;
				ppS.Green() = 30;
				ppS.Blue() = 30;
			}
			pp.OffsetX(data, 1);
			ppS.OffsetX(dataS, 1);
		}
		pp = rowStart;
		pp.OffsetY(data, 1);
		ppS = rowStartS;
		ppS.OffsetY(dataS, 1);
	}
	
	wxMemoryDC mem = wxMemoryDC();
	wxFont font = wxFont(20, wxFONTFAMILY_DEFAULT, wxFONTSTYLE_NORMAL, wxFONTWEIGHT_NORMAL, false);
	mem.SetFont(font);
	mem.SetTextForeground(wxT("#FFFFFF"));

	wxGridSizer* sizer = new wxGridSizer(4, 3, 0, 0);
	sizer->Add(createBitmaButton(bitma, bitmaS , &mem, panel, buttonSize, wxT("1")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("2")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("3")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("4")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("5")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("6")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("7")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("8")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("9")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("10")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("11")), 0, wxEXPAND);
	sizer->Add(createBitmaButton(bitma, bitmaS, &mem, panel, buttonSize, wxT("12")), 0, wxEXPAND);

	panel->SetSizer(sizer);

	//Centre();
}
void Keyboard::OnQuit(wxCommandEvent& WXUNUSED(event)) {
	Close(true);
}
wxBitmapButton* Keyboard::createBitmaButton(wxBitmap bitma, wxBitmap bitmaS, wxMemoryDC* mem, wxPanel* panel, int buttonSize, wxString t) {
	wxSize size = mem->GetTextExtent(t);
	mem->SelectObject(bitma);
	mem->DrawText(t, buttonSize / 2 - size.x / 2, buttonSize / 2 - 18);
	mem->SelectObject(bitmaS);
	mem->DrawText(t, buttonSize / 2 - size.x / 2, buttonSize / 2 - 18);
	wxBitmapButton* button = new wxBitmapButton(panel, wxID_ANY, bitma, wxDefaultPosition, wxDefaultSize, wxBORDER_NONE);
	button->SetBitmapSelected(bitmaS);

	return button;
}
