#pragma once
#include <iostream>
#include <sstream>
#include <iomanip>
#include <vector>
#include <mutex> 
#include <winrt/Windows.Foundation.h>
#include <winrt/Windows.Foundation.Collections.h>
#include <winrt/Windows.Devices.Bluetooth.h>
#include <winrt/Windows.Devices.Enumeration.h>
#include <winrt/Windows.Devices.Bluetooth.Advertisement.h>
#include <winrt/Windows.Devices.Bluetooth.GenericAttributeProfile.h>
#include <winrt/Windows.Storage.Streams.h>

using namespace winrt;
using namespace Windows::Foundation;
using namespace Windows::Devices::Bluetooth;
using namespace Windows::Devices::Enumeration;
using namespace Windows::Devices::Bluetooth::Advertisement;
using namespace Windows::Devices::Bluetooth::GenericAttributeProfile;
using namespace Windows::Storage::Streams;
using namespace winrt::Windows::Foundation::Collections;

template<class Operation>
decltype(auto) getNested3(Operation operation) {
	auto result = operation();
	while (result.Status() != AsyncStatus::Completed) {
		continue;
	}
	return result.GetResults();
}