package com.example.kamizelka;

import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

public abstract class Keyboard {
	static BluetoothLEServiceSender sender = null;

	public static void initGUI(AppCompatActivity activity, BluetoothLEServiceSender s, ToneGenerator toneGenerator) {
		sender = s;

		final Button button1 = activity.findViewById(R.id.test1);
		final Button button2 = activity.findViewById(R.id.test2);
		final Button button3 = activity.findViewById(R.id.test3);
		final Button button4 = activity.findViewById(R.id.test4);
		final Button button5 = activity.findViewById(R.id.test5);
		final Button button6 = activity.findViewById(R.id.test6);
		final Button button7 = activity.findViewById(R.id.test7);
		final Button button8 = activity.findViewById(R.id.test8);
		final Button button9 = activity.findViewById(R.id.test9);
		final Button button10 = activity.findViewById(R.id.test10);
		final Button button11 = activity.findViewById(R.id.test11);
		final Button button12 = activity.findViewById(R.id.test12);
		final Button button13 = activity.findViewById(R.id.test13);
		final Button button14 = activity.findViewById(R.id.test14);
		final Button button15 = activity.findViewById(R.id.test15);
		final Button button16 = activity.findViewById(R.id.test16);

		final Button buttonSearchDevice = activity.findViewById(R.id.connectButton);
		final Button buttonOpenFile = activity.findViewById(R.id.openFile);
		final Button buttonMicrophone = activity.findViewById(R.id.microphone);

		button1.setVisibility(View.GONE);
		button2.setVisibility(View.GONE);
		button3.setVisibility(View.GONE);
		button4.setVisibility(View.GONE);
		button5.setVisibility(View.GONE);
		button6.setVisibility(View.GONE);
		button7.setVisibility(View.GONE);
		button8.setVisibility(View.GONE);
		button9.setVisibility(View.GONE);
		button10.setVisibility(View.GONE);
		button11.setVisibility(View.GONE);
		button12.setVisibility(View.GONE);
		button13.setVisibility(View.GONE);
		button14.setVisibility(View.INVISIBLE);
		button15.setVisibility(View.INVISIBLE);
		button16.setVisibility(View.INVISIBLE);

		button13.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 3800, 0);
		});
		button12.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 3360, 1);
		});
		button11.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 3040, 2);
		});
		button10.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 2320, 3);
		});
		button9.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 2000, 4);
		});
		button8.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 1760, 5);
		});
		button7.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 1520, 6);
		});
		button6.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 1080, 7);
		});
		button5.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 880, 11);
		});
		button4.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 680, 12);
		});
		button3.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 480, 13);
		});
		button2.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 320, 14);
		});
		button1.setOnClickListener(v -> {
			pressButton(activity, toneGenerator, 160, 15);
		});


		final Button buttonkeyboard = activity.findViewById(R.id.keyboard);
		buttonkeyboard.setText(R.string.openFile_button_keyboard_open);
		buttonkeyboard.setOnClickListener(v -> {
			if (buttonkeyboard.getText() == activity.getResources().getString(R.string.openFile_button_keyboard_open)) {
				buttonkeyboard.setText(R.string.openFile_button_keyboard_close);

				buttonSearchDevice.setVisibility(View.GONE);
				buttonOpenFile.setVisibility(View.GONE);
				buttonMicrophone.setVisibility(View.GONE);

				button1.setVisibility(View.VISIBLE);
				button2.setVisibility(View.VISIBLE);
				button3.setVisibility(View.VISIBLE);
				button4.setVisibility(View.VISIBLE);
				button5.setVisibility(View.VISIBLE);
				button6.setVisibility(View.VISIBLE);
				button7.setVisibility(View.VISIBLE);
				button8.setVisibility(View.VISIBLE);
				button9.setVisibility(View.VISIBLE);
				button10.setVisibility(View.VISIBLE);
				button11.setVisibility(View.VISIBLE);
				button12.setVisibility(View.VISIBLE);
//				button13.setVisibility(View.VISIBLE);
			} else {
				buttonkeyboard.setText(R.string.openFile_button_keyboard_open);

				buttonSearchDevice.setVisibility(View.VISIBLE);
				buttonOpenFile.setVisibility(View.VISIBLE);
				buttonMicrophone.setVisibility(View.VISIBLE);

				button1.setVisibility(View.GONE);
				button2.setVisibility(View.GONE);
				button3.setVisibility(View.GONE);
				button4.setVisibility(View.GONE);
				button5.setVisibility(View.GONE);
				button6.setVisibility(View.GONE);
				button7.setVisibility(View.GONE);
				button8.setVisibility(View.GONE);
				button9.setVisibility(View.GONE);
				button10.setVisibility(View.GONE);
				button11.setVisibility(View.GONE);
				button12.setVisibility(View.GONE);
				button13.setVisibility(View.GONE);
			}
		});
	}
	private static void pressButton(AppCompatActivity activity,ToneGenerator toneGenerator, double freq, int index){
		toneGenerator.generateTone(freq);
		if(sender == null){
			Toast.makeText(activity, "Devices not found", Toast.LENGTH_SHORT).show();
			return;
		}
		sender.setKeyboardSound(index, (byte) 128);
		sender.startPlaying(BluetoothLEServiceSender.Mode.keyboard);
		sender.setStop();
	}

}
