package com.example.kamizelka;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatDialogFragment;
import androidx.fragment.app.FragmentManager;

public class NoFoundDialog extends AppCompatDialogFragment {
	private final FragmentManager fragmentManager;

	NoFoundDialog(FragmentManager fragmentManager){
		this.fragmentManager = fragmentManager;
	}

	@NonNull
	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState){
		AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
		builder.setTitle(R.string.nofound).setIcon(R.drawable.ic_launcher_background).setCancelable(false).setNegativeButton("Cancel", new DialogInterface.OnClickListener() {
			@Override
			public void onClick(DialogInterface dialog, int which) {
				dialog.cancel();
			}
		});
		return builder.create();
	}

	public void show(){
		this.show(this.fragmentManager, "nofound");
	}

}
